﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DetailMonitors.ascx.cs" Inherits="MQAWeb.Forms.FTE.Agents.Dashboards.DetailMonitors" %>
<%@ Register assembly="Ext.Net" namespace="Ext.Net" tagprefix="ext" %>
 <style type="text/css">        
     
</style>
<script type="text/javascript">
    var prepareFTEAMonCommand = function (grid, command, record, row) 
    {
        // routine to handle action icon displays
        if (command.command == 'ViewLastMessage' && !record.data.ShowLastMessage) 
        {
            // only when the last message is not empty    
            command.hidden = true;
            command.hideMode = 'display';
        }

        if (command.command == 'ViewCreateMessage' && !record.data.ShowCreateMessage) 
        {
            // hide except when its stopped
            command.hidden = true;
            command.hideMode = 'display';
        }
    };

    function getFTEAMonRowClass(record) 
    {
        // routine to return a row color
        return 'ftemonitor' + record.data.Style;
    }

</script>
 
 <asp:UpdatePanel ID="pnlFTEAgentMonitors" runat="server" UpdateMode="Conditional">
     <ContentTemplate>
                 <ext:GridPanel ID="grdFTEAgentMonitors" runat="server"
                     Border="false" Header="false" Layout="Fit" AutoWidth="True" Height="500" EnableTheming="True">
                     <store>
                         <ext:Store ID="Store1" runat="server">
                             <reader>
                                 <ext:JsonReader IDProperty="ReferenceId">
                                     <Fields>
                                        <ext:RecordField Name="Name" Type="String" SortType="AsUCString"/>
                                         <ext:RecordField Name="Style" Type="String" SortType="AsUCString"/>
                                        <ext:RecordField Name="Status" Type="Int" SortType="AsInt"/>
                                        <ext:RecordField Name="TriggerSummary" Type="String" SortType="AsUCString"/>
                                        <ext:RecordField Name="ReferenceId" Type="String" SortType="AsUCString"/>
                                        <ext:RecordField Name="LastUpdateAsString" Type="String" SortType="AsDate"/>
                                        <ext:RecordField Name="ShowLastMessage" Type="Boolean"/>
                                        <ext:RecordField Name="ShowCreateMessage" Type="Boolean"/>
                                        <ext:RecordField Name="MonitorFound" Type="Int" SortType="AsInt"/>
                                        <ext:RecordField Name="MonitorNotFound" Type="Int" SortType="AsInt"/>
                                        <ext:RecordField Name="MonitorErrors" Type="Int" SortType="AsInt"/>
                                     </Fields>
                                 </ext:JsonReader>
                             </reader>
                         </ext:Store>
                     </store>
                     <columnmodel runat="server">
                         <Columns>
                             <ext:Column ColumnID="colFTEAMonName" DataIndex="Name" Header="Name" Sortable="true" Width="150" />
                             <ext:Column ColumnID="colFTEAMonTrigger" Wrap="True" DataIndex="TriggerSummary" Header="Trigger Information" Width="250" ></ext:Column>
                             <ext:Column ColumnID="colFTEAMonLUpdate" DataIndex="LastUpdateAsString" Header="Last Update Date" Sortable="True" Width="100"/>
                             <ext:NumberColumn ColumnID="colFTEAMonMSCount" DataIndex="MonitorFound" Header="ST. Count" Width="80" Tooltip="Satisfied Trigger Count" Align="Right" Format="0"/>                             
                             <ext:NumberColumn ColumnID="colFTEAMonMNFCount" DataIndex="MonitorNotFound" Header="UST. Count" Width="80" Tooltip="Un-Satisfied Trigger Count" Align="Right" Format="0"/>
                             <ext:NumberColumn ColumnID="colFTEAMonErrCount" DataIndex="MonitorErrors" Header="FT. Count" Width="80" Tooltip="Failed Trigger Count" Align="Right" Format="0"/>
                             <ext:ImageCommandColumn Width="100" Header="Operations" >
                            <Commands>
                                <ext:ImageCommand Icon="Information" CommandName="ViewLastMessage">
                                    <ToolTip Text="View Last Message" Title="Last Message..." />
                            </ext:ImageCommand>
                            <ext:ImageCommand Icon="NoteGo" CommandName="ViewCreateMessage">
                                <ToolTip Text="View the Monitor Definition Message" Title="Monitor Definition..." />
                            </ext:ImageCommand>
                        </Commands>
                        <PrepareCommand Fn="prepareFTEAMonCommand"></PrepareCommand>
                    </ext:ImageCommandColumn>
                     </Columns>
                     </columnmodel>
                         <DirectEvents>
                        <Command OnEvent="Command">
                            <ExtraParams>
                                <ext:Parameter Name="id" Value="record.data.Oid" Mode="Raw" />
                                <ext:Parameter Name="command" Value="command" Mode="Raw" />
                            </ExtraParams>
                        </Command>
                        </DirectEvents>
                     <Plugins>
                    <ext:GridFilters runat="server" ID="gfFTEAgentMonitors" Local="true">
                        <Filters>
                            <ext:StringFilter DataIndex="Name" />
                        </Filters>
                    </ext:GridFilters>
                </Plugins>
                <View>
                    <ext:GridView ID="gvFTEAgentMonitors" runat="server" ForceFit="true" ScrollOffset="1">
                        <GetRowClass Fn="getFTEAMonRowClass"></GetRowClass>
                    </ext:GridView>                   
                </View>                                                                            
                 </ext:GridPanel>
     </ContentTemplate>
</asp:UpdatePanel>
        