﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="OverviewMonitors.ascx.cs" Inherits="MQAWeb.Forms.FTE.Agents.Dashboards.OverviewMonitors" %>
<%@ Register assembly="Ext.Net" namespace="Ext.Net" tagprefix="ext" %>
<script type="text/javascript">
    var prepareFTEOMonCommand = function (grid, command, record, row) 
    {
        // routine to handle action icon displays
        if (command.command == 'ViewLastMessage' && !record.data.ShowLastMessage) 
        {
            // only when the last message is not empty    
            command.hidden = true;
            command.hideMode = 'display';
        }

        if (command.command == 'ViewCreateMessage' && !record.data.ShowCreateMessage) 
        {
            // hide except when its stopped
            command.hidden = true;
            command.hideMode = 'display';
        }
    };

    function getFTEOMonRowClass(record) 
    {
        // routine to return a row color
        return 'ftemonitor' + record.data.Style;
    }

</script>
 
 <asp:UpdatePanel ID="pnlFTEOverviewMonitors" runat="server" UpdateMode="Conditional">
     <ContentTemplate>
                 <ext:GridPanel ID="grdFTEOverviewMonitors" runat="server"
                     Border="false" Header="false" Layout="Fit" AutoWidth="True" Height="500" EnableTheming="True" AutoExpandColumn="Name">
                     <store>
                         <ext:Store ID="Store1" runat="server" GroupField="AgentATQM">
                             <reader>
                                 <ext:JsonReader IDProperty="CompoundId">
                                     <Fields>
                                        <ext:RecordField Name="Name" Type="String" SortType="AsUCString"/>
                                        <ext:RecordField Name="AgentATQM" Type="String" SortType="AsUCString"/>
                                        <ext:RecordField Name="QueueManager" Type="String" SortType="AsUCString"/>
                                        <ext:RecordField Name="AgentName" Type="String" SortType="AsUCString"/>
                                        <ext:RecordField Name="Style" Type="String" SortType="AsUCString"/>
                                        <ext:RecordField Name="Status" Type="Int" SortType="AsInt"/>
                                        <ext:RecordField Name="TriggerSummary" Type="String" SortType="AsUCString"/>
                                        <ext:RecordField Name="CompoundId" Type="String" SortType="AsUCString"/>
                                        <ext:RecordField Name="LastUpdateAsString" Type="String" SortType="AsDate"/>
                                        <ext:RecordField Name="ShowLastMessage" Type="Boolean"/>
                                        <ext:RecordField Name="ShowCreateMessage" Type="Boolean"/>
                                        <ext:RecordField Name="MonitorFound" Type="Int" SortType="AsInt"/>
                                        <ext:RecordField Name="MonitorNotFound" Type="Int" SortType="AsInt"/>
                                        <ext:RecordField Name="MonitorErrors" Type="Int" SortType="AsInt"/>
                                     </Fields>
                                 </ext:JsonReader>
                             </reader>
                         </ext:Store>
                     </store>
                     <columnmodel runat="server">
                         <Columns>
                             <ext:Column ColumnID="colFTEOMonName" DataIndex="Name" Header="Name" Sortable="true" Width="150"/>
                             <ext:Column ColumnID="colFTEOMonAgentName" DataIndex="AgentName" Header="Agent Name" Sortable="true" Width="200" Wrap="True"/>
                             <ext:Column ColumnID="colFTEOMonQM" DataIndex="QueueManager" Header="Queue Manager" Sortable="true" Width="200" Wrap="True"/>
                             <ext:Column ColumnID="colFTEOMonAgentATQM" DataIndex="AgentATQM" Header="Agent-QM" Sortable="true" Width="200"/>
                             <ext:Column ColumnID="colFTEOMonTrigger" Wrap="True" DataIndex="TriggerSummary" Header="Trigger Information" Width="250" ></ext:Column>
                             <ext:Column ColumnID="colFTEOMonLUpdate" DataIndex="LastUpdateAsString" Header="Last Update Date" Sortable="True" Width="100"/>
                             <ext:NumberColumn ColumnID="colFTEOMonMSCount" DataIndex="MonitorFound" Header="ST. Count" Width="80" Tooltip="Satisfied Trigger Count" Align="Right" Format="0" Groupable="False"/>                             
                             <ext:NumberColumn ColumnID="colFTEOMonMNFCount" DataIndex="MonitorNotFound" Header="UST. Count" Width="80" Tooltip="Un-Satisfied Trigger Count" Align="Right" Format="0" Groupable="False"/>
                             <ext:NumberColumn ColumnID="colFTEOMonErrCount" DataIndex="MonitorErrors" Header="FT. Count" Width="80" Tooltip="Failed Trigger Count" Align="Right" Format="0" Groupable="False"/>
                             <ext:ImageCommandColumn Width="100" Header="Operations" Sortable="False" Groupable="False">
                            <Commands>
                                <ext:ImageCommand Icon="Information" CommandName="ViewLastMessage">
                                    <ToolTip Text="View Last Message" Title="Last Message..." />
                            </ext:ImageCommand>
                            <ext:ImageCommand Icon="NoteGo" CommandName="ViewCreateMessage">
                                <ToolTip Text="View the Monitor Definition Message" Title="Monitor Definition..." />
                            </ext:ImageCommand>
                        </Commands>
                        <PrepareCommand Fn="prepareFTEOMonCommand"></PrepareCommand>
                    </ext:ImageCommandColumn>
                     </Columns>
                     </columnmodel>
                     <LoadMask ShowMask="True"></LoadMask>

                                  <View>
                <ext:GroupingView  
                    ID="gvOverviewFTEMonitors"
                    HideGroupedColumn="true"
                    runat="server" 
                    ForceFit="true"
                    StartCollapsed="False"
                    EnableRowBody="true" ShowGroupName="False" AutoFill="False" EnableGrouping="True">
                    <GetRowClass Fn="getFTEOMonRowClass"></GetRowClass>
                </ext:GroupingView>
                </View>
                         <DirectEvents>
                        <Command OnEvent="Command">
                            <ExtraParams>
                                <ext:Parameter Name="id" Value="record.data.CompoundId" Mode="Raw" />
                                <ext:Parameter Name="command" Value="command" Mode="Raw" />
                            </ExtraParams>
                        </Command>
                        </DirectEvents>
                     <Plugins>
                    <ext:GridFilters runat="server" ID="gfFTEOverviewMonitors" Local="true">
                        <Filters>
                            <ext:StringFilter DataIndex="Name" />
                        </Filters>
                    </ext:GridFilters>
                </Plugins>
                 </ext:GridPanel>
     </ContentTemplate>
</asp:UpdatePanel>
        