﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="JobDetail.ascx.cs" Inherits="MQAWeb.Forms.FTE.Reporting.Widgets.JobDetail" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
        <%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1.Export, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView.Export" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxMenu" tagprefix="dx" %>
<script type="text/javascript">
    var activeJob;

    function OnJobContextGrid(s, e) 
    {
        // routine to handle the right click on the grid
        if (e.objectType == "row") 
        {
            var x = ASPxClientUtils.GetEventX(e.htmlEvent);
            var y = ASPxClientUtils.GetEventY(e.htmlEvent);
            activeJob = (e.index);
            jobContextMenu.ShowAtPos(x, y);
        }
    }
    function OnJobSelect(key) 
    {
        //  routine to invoke a change in the parent view when the job selection changes
        if (this.UpdateTransactionPanel != null) 
        {
            UpdateTransactionPanel(key);
        }
    }

    function OnJobMenuItem(e) 
    {
        // routine to handle menu item invoke on the server side
        var name = e.item.name;
        e.processOnServer = false;
        if (name == 'mnuJobExportXML')
            OnJobXML();
    }

    function OnJobXML() 
    {
        // routine to display the Job Action
        var jobId = grdJobData.GetRowKey(activeJob);
        PerformCallback('JobXML', jobId);
    }
</script>

        <dx:ASPxGridViewExporter ID="grdJobExport" runat="server" 
    GridViewID="grdJobData" Landscape="True" 
    onrenderbrick="grdJobExport_RenderBrick">
</dx:ASPxGridViewExporter>
        <dx:ASPxPopupMenu ID="jobContextMenu" runat="server"
            ClientInstanceName="jobContextMenu" PopupHorizontalAlign="Center" 
            PopupVerticalAlign="Above">
            <ClientSideEvents ItemClick="function(s, e) {
            OnJobMenuItem(e);
}" />
            <Items>
                <dx:MenuItem Name="mnuJobExport" Text="Export">
                    <Items>
                        <dx:MenuItem Name="mnuJobExportXML" Text="To XML" 
                            ToolTip="click here to Export the Transaction Information to XML">
                        </dx:MenuItem>
                    </Items>
                </dx:MenuItem>
            </Items>
        </dx:ASPxPopupMenu>

        <dx:ASPxGridView ID="grdJobData" runat="server" AutoGenerateColumns="False" 
            ClientInstanceName="grdJobData" Width="100%" KeyFieldName="JobId" 
            oncustomcolumndisplaytext="grdJobData_CustomColumnDisplayText" onhtmlrowprepared="grdJobData_HtmlRowPrepared" 
    onhtmldatacellprepared="grdJobData_HtmlDataCellPrepared" 
    EnableRowsCache="False">
                <Templates>
                <FooterRow>
                    <dx:ASPxButton ID="btnJobExport" runat="server" 
                        ClientInstanceName="btnJobExport" EnableClientSideAPI="True" 
                        onclick="btnJobExport_Click" Text="Export to Spreadsheet" 
                        ToolTip="click here to Export the Grid Data to Spreadsheet" Wrap="False">
                        <ClientSideEvents Click="function(s, e) {
}" />
                    </dx:ASPxButton>
                </FooterRow>
            </Templates>
            <SettingsBehavior ColumnResizeMode="Control" AllowFocusedRow="True" 
                    AllowSelectByRowClick="True" AllowSelectSingleRowOnly="True" />
                <SettingsPager PageSize="5">
                </SettingsPager>
                <SettingsCookies Enabled="True" StorePaging="False" 
                    StoreGroupingAndSorting="False"/>
            <ClientSideEvents CallbackError="function(s, e) 
{

}" EndCallback="function(s, e) 
{
}" BeginCallback="function(s, e) 
{
}" FocusedRowChanged="function(s, e) 
{
e.processOnServer = false;
var key = grdJobData.GetRowKey(grdJobData.GetFocusedRowIndex());

	OnJobSelect(key);
}" ContextMenu="function(s, e) {
	OnJobContextGrid(s, e);
}" />
            <Columns>
                <dx:GridViewDataDateColumn Caption="Job Date" FieldName="JobDate" 
                    Name="colJobDate" ReadOnly="True" VisibleIndex="2" Width="15%">
                </dx:GridViewDataDateColumn>
                <dx:GridViewDataTextColumn VisibleIndex="3" Caption="Name" 
                    FieldName="Name" Name="colJobName" ReadOnly="True" Width="15%">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Job Id" FieldName="JobId" Name="colJobId" 
                    ReadOnly="True" VisibleIndex="1" Width="10%">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataDateColumn Caption="Last Update" FieldName="LastUpdate" 
                    Name="colJobLastUpdate" ReadOnly="True" VisibleIndex="5" Width="15%">
                </dx:GridViewDataDateColumn>
                 <dx:GridViewDataTextColumn Caption="Originator" FieldName="OrigUser" 
                    ReadOnly="True" VisibleIndex="4" Name="colJobOriginator" Width="10%">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Status" 
                    FieldName="Status" Name="colJobStatusInt" ReadOnly="True" 
                    VisibleIndex="10" Visible="False">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn VisibleIndex="6" 
                    FieldName="OrigMQMUser" Name="colJobOrigMQMUser" ReadOnly="True" 
                    Width="7%" Caption="Originator (MQ)">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Origination Host" FieldName="OrigHost" 
                    Name="colJobOrigHost" ReadOnly="True" VisibleIndex="7" Width="8%">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="MFT Status" FieldName="MQStatusDesc" 
                    Name="colJobMQStatus" ReadOnly="True" VisibleIndex="8" Width="10%">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Status" FieldName="StatusDesc" 
                    Name="colJobStatusDesc" ReadOnly="True" VisibleIndex="9" Width="10%">
                </dx:GridViewDataTextColumn>
            </Columns>
            <Settings ShowGroupPanel="True" ShowFilterBar="Auto" 
                ShowHorizontalScrollBar="True" ShowVerticalScrollBar="True" 
                VerticalScrollableHeight="350" ShowFooter="true"/>
        </dx:ASPxGridView>        